net.minecraft.scoreboard

## Class Scoreboard

- java.lang.Object
- - net.minecraft.scoreboard.Scoreboard

- Direct Known Subclasses:
    ServerScoreboard

      public class Scoreboard
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Scoreboard()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ScoreObjective` | `addScoreObjective(java.lang.String par1Str, IScoreObjectiveCriteria par2ScoreObjectiveCriteria)`
    `void` | `broadcastTeamCreated(ScorePlayerTeam par1ScorePlayerTeam)`
    `void` | `broadcastTeamRemoved(ScorePlayerTeam par1ScorePlayerTeam)`
    `ScorePlayerTeam` | `createTeam(java.lang.String par1Str)`
    `boolean` | `func_151392_a(java.lang.String p_151392_1_, java.lang.String p_151392_2_)`
    `java.util.Map` | `func_96510_d(java.lang.String par1Str)`
    `void` | `func_96513_c(ScorePlayerTeam par1ScorePlayerTeam)`
    `void` | `func_96515_c(java.lang.String par1Str)`
    `void` | `func_96516_a(java.lang.String par1Str)`
    `void` | `func_96519_k(ScoreObjective par1ScoreObjective)`
    `java.util.Collection` | `func_96520_a(IScoreObjectiveCriteria par1ScoreObjectiveCriteria)`
    `void` | `func_96522_a(ScoreObjective par1ScoreObjective)`
    `java.util.Collection` | `func_96528_e()`
    `Score` | `func_96529_a(java.lang.String par1Str, ScoreObjective par2ScoreObjective)`
    `void` | `func_96530_a(int par1, ScoreObjective par2ScoreObjective)`
    `void` | `func_96532_b(ScoreObjective par1ScoreObjective)`
    `void` | `func_96533_c(ScoreObjective par1ScoreObjective)`
    `java.util.Collection` | `func_96534_i(ScoreObjective par1ScoreObjective)`
    `void` | `func_96536_a(Score par1Score)`
    `ScoreObjective` | `func_96539_a(int par1)`
    `ScoreObjective` | `getObjective(java.lang.String par1Str)`
    `static java.lang.String` | `getObjectiveDisplaySlot(int par0)`
    `static int` | `getObjectiveDisplaySlotNumber(java.lang.String par0Str)`
    `java.util.Collection` | `getObjectiveNames()`
    `ScorePlayerTeam` | `getPlayersTeam(java.lang.String par1Str)`
    `java.util.Collection` | `getScoreObjectives()`
    `ScorePlayerTeam` | `getTeam(java.lang.String par1Str)`
    `java.util.Collection` | `getTeamNames()`
    `java.util.Collection` | `getTeams()`
    `void` | `removePlayerFromTeam(java.lang.String par1Str, ScorePlayerTeam par2ScorePlayerTeam)`
    `boolean` | `removePlayerFromTeams(java.lang.String par1Str)`
    `void` | `removeTeam(ScorePlayerTeam par1ScorePlayerTeam)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Scoreboard

          public Scoreboard()

  - ### Method Detail

    - #### getObjective

          public ScoreObjective getObjective(java.lang.String par1Str)

    - #### addScoreObjective

          public ScoreObjective addScoreObjective(java.lang.String par1Str,
                                         IScoreObjectiveCriteria par2ScoreObjectiveCriteria)

    - #### func_96520_a

          public java.util.Collection func_96520_a(IScoreObjectiveCriteria par1ScoreObjectiveCriteria)

    - #### func_96529_a

          public Score func_96529_a(java.lang.String par1Str,
                           ScoreObjective par2ScoreObjective)

    - #### func_96534_i

          public java.util.Collection func_96534_i(ScoreObjective par1ScoreObjective)

    - #### getScoreObjectives

          public java.util.Collection getScoreObjectives()

    - #### getObjectiveNames

          public java.util.Collection getObjectiveNames()

    - #### func_96515_c

          public void func_96515_c(java.lang.String par1Str)

    - #### func_96528_e

          public java.util.Collection func_96528_e()

    - #### func_96510_d

          public java.util.Map func_96510_d(java.lang.String par1Str)

    - #### func_96519_k

          public void func_96519_k(ScoreObjective par1ScoreObjective)

    - #### func_96530_a

          public void func_96530_a(int par1,
                          ScoreObjective par2ScoreObjective)

    - #### func_96539_a

          public ScoreObjective func_96539_a(int par1)

    - #### getTeam

          public ScorePlayerTeam getTeam(java.lang.String par1Str)

    - #### createTeam

          public ScorePlayerTeam createTeam(java.lang.String par1Str)

    - #### removeTeam

          public void removeTeam(ScorePlayerTeam par1ScorePlayerTeam)

    - #### func_151392_a

          public boolean func_151392_a(java.lang.String p_151392_1_,
                              java.lang.String p_151392_2_)

    - #### removePlayerFromTeams

          public boolean removePlayerFromTeams(java.lang.String par1Str)

    - #### removePlayerFromTeam

          public void removePlayerFromTeam(java.lang.String par1Str,
                                  ScorePlayerTeam par2ScorePlayerTeam)

    - #### getTeamNames

          public java.util.Collection getTeamNames()

    - #### getTeams

          public java.util.Collection getTeams()

    - #### getPlayersTeam

          public ScorePlayerTeam getPlayersTeam(java.lang.String par1Str)

    - #### func_96522_a

          public void func_96522_a(ScoreObjective par1ScoreObjective)

    - #### func_96532_b

          public void func_96532_b(ScoreObjective par1ScoreObjective)

    - #### func_96533_c

          public void func_96533_c(ScoreObjective par1ScoreObjective)

    - #### func_96536_a

          public void func_96536_a(Score par1Score)

    - #### func_96516_a

          public void func_96516_a(java.lang.String par1Str)

    - #### broadcastTeamCreated

          public void broadcastTeamCreated(ScorePlayerTeam par1ScorePlayerTeam)

    - #### broadcastTeamRemoved

          public void broadcastTeamRemoved(ScorePlayerTeam par1ScorePlayerTeam)

    - #### func_96513_c

          public void func_96513_c(ScorePlayerTeam par1ScorePlayerTeam)

    - #### getObjectiveDisplaySlot

          public static java.lang.String getObjectiveDisplaySlot(int par0)

    - #### getObjectiveDisplaySlotNumber

          public static int getObjectiveDisplaySlotNumber(java.lang.String par0Str)